Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Pose3D Class Reference

representation for 3D Transformation (Location + Orientation) More...

`#include <Pose3D.h>`

Inheritance diagram for Pose3D:

[legend]
Collaboration diagram for Pose3D:

[legend]
List of all members.

## Public Member Functions
| Pose3D ()
| constructor
| Pose3D (const RotationMatrix &rot, const Vector3< double > &trans)
| constructor from rotation and translation
| Pose3D (const RotationMatrix &rot)
| constructor from rotation
| Pose3D (const Vector3< double > &trans)
| constructor from translation
| Pose3D (const double x, const double y, const double z)
| constructor from three translation values
Pose3D & | operator= (const Pose3D &other)
| Assignment operator.
| Pose3D (const Pose3D &other)
| Copy constructor.
Vector3< double > | operator * (const Vector3< double > &point) const
| Multiplication with Point.
bool | operator== (const Pose3D &other) const
| Comparison of another vector with this one.
bool | operator!= (const Pose3D &other) const
| Comparison of another vector with this one.
Pose3D & | conc (const Pose3D &other)
| Concatenation of this pose with another pose.
Pose3D | invert () const
| Calculates the inverse transformation from the current pose.
Pose3D & | translate (const Vector3< double > &trans)
| Translate this pose by a translation vector.
Pose3D & | translate (const double x, const double y, const double z)
| Translate this pose by a translation vector.
Pose3D & | rotate (const RotationMatrix &rot)
| Rotate this pose by a rotation.
Pose3D & | rotateX (const double angle)
| Rotate this pose around its x-axis.
Pose3D & | rotateY (const double angle)
| Rotate this pose around its y-axis.
Pose3D & | rotateZ (const double angle)
| Rotate this pose around its z-axis.
## Public Attributes
RotationMatrix | rotation
| rotation as a RotationMatrix
Vector3< double > | translation
| translation as a Vector3

## Detailed Description

representation for 3D Transformation (Location + Orientation)

Definition at line 15 of file Pose3D.h.

## Constructor & Destructor Documentation

Pose3D::Pose3D | ( |  | ) | `[inline]`

| constructor Definition at line 25 of file Pose3D.h.

Pose3D::Pose3D | ( | const RotationMatrix & | rot,
|  | const Vector3< double > & | trans
| ) | `[inline]`

  | constructor from rotation and translation Parameters:
  rot | Rotation
  trans | Translation
Definition at line 31 of file Pose3D.h.

Pose3D::Pose3D | ( | const RotationMatrix & | rot | ) | `[inline]`

  | constructor from rotation Parameters:
  rot | Rotation
Definition at line 36 of file Pose3D.h.

Pose3D::Pose3D | ( | const Vector3< double > & | trans | ) | `[inline]`

  | constructor from translation Parameters:
  trans | Translation
Definition at line 41 of file Pose3D.h.

Pose3D::Pose3D | ( | const double | x,
|  | const double | y,
|  | const double | z
| ) | `[inline]`

  | constructor from three translation values Parameters:
  x | translation x component
  y | translation y component
  z | translation z component
Definition at line 48 of file Pose3D.h.

Pose3D::Pose3D | ( | const Pose3D & | other | ) | `[inline]`

  | Copy constructor. Parameters:
  other | The other vector that is copied to this one
Definition at line 65 of file Pose3D.h.

## Member Function Documentation

Pose3D& Pose3D::operator= | ( | const Pose3D & | other | ) | `[inline]`

  | Assignment operator. Parameters:
  other | The other Pose3D that is assigned to this one
Returns: A reference to this object after the assignment. Definition at line 54 of file Pose3D.h. References rotation, and translation.

Vector3<double> Pose3D::operator * | ( | const Vector3< double > & | point | ) | const`[inline]`

  | Multiplication with Point. Parameters:
  point | (Vector3<double>)
Definition at line 70 of file Pose3D.h. References point.

bool Pose3D::operator== | ( | const Pose3D & | other | ) | const`[inline]`

  | Comparison of another vector with this one. Parameters:
  other | The other vector that will be compared to this one
Returns: Whether the two vectors are equal. Definition at line 79 of file Pose3D.h. References rotation, and translation.

bool Pose3D::operator!= | ( | const Pose3D & | other | ) | const`[inline]`

  | Comparison of another vector with this one. Parameters:
  other | The other vector that will be compared to this one
Returns: Whether the two vectors are unequal. Definition at line 88 of file Pose3D.h.

Pose3D& Pose3D::conc | ( | const Pose3D & | other | ) | `[inline]`

  | Concatenation of this pose with another pose. Parameters:
  other | The other pose that will be concatenated to this one.
Returns: A reference to this pose after concatenation Definition at line 95 of file Pose3D.h. References rotation, and translation.

Pose3D Pose3D::invert | ( |  | ) | const`[inline]`

| Calculates the inverse transformation from the current pose. Returns: The inverse transformation pose. Definition at line 105 of file Pose3D.h. References rotation, translation, and Matrix3x3< double >::transpose().

Here is the call graph for this function:

Pose3D& Pose3D::translate | ( | const Vector3< double > & | trans | ) | `[inline]`

  | Translate this pose by a translation vector. Parameters:
  trans | Vector to translate with
Returns: A reference to this pose after translation Definition at line 117 of file Pose3D.h. Referenced by Kinematics::calcLegPosition().

Pose3D& Pose3D::translate | ( | const double | x,
|  | const double | y,
|  | const double | z
| ) | `[inline]`

  | Translate this pose by a translation vector. Parameters:
  x | x component of vector to translate with
  y | y component of vector to translate with
  z | z component of vector to translate with
Returns: A reference to this pose after translation Definition at line 129 of file Pose3D.h.

Pose3D& Pose3D::rotate | ( | const RotationMatrix & | rot | ) | `[inline]`

  | Rotate this pose by a rotation. Parameters:
  rot | Rotationmatrix to rotate with
Returns: A reference to this pose after rotation Definition at line 139 of file Pose3D.h.

Pose3D& Pose3D::rotateX | ( | const double | angle | ) | `[inline]`

  | Rotate this pose around its x-axis. Parameters:
  angle | angle to rotate with
Returns: A reference to this pose after rotation Definition at line 149 of file Pose3D.h. References RotationMatrix::rotateX().

Here is the call graph for this function:

Pose3D& Pose3D::rotateY | ( | const double | angle | ) | `[inline]`

  | Rotate this pose around its y-axis. Parameters:
  angle | angle to rotate with
Returns: A reference to this pose after rotation Definition at line 159 of file Pose3D.h. References RotationMatrix::rotateY(). Referenced by Kinematics::calcLegPosition(), and Kinematics::calcNeckAndLegPositions().

Here is the call graph for this function:

Pose3D& Pose3D::rotateZ | ( | const double | angle | ) | `[inline]`

  | Rotate this pose around its z-axis. Parameters:
  angle | angle to rotate with
Returns: A reference to this pose after rotation Definition at line 169 of file Pose3D.h. References RotationMatrix::rotateZ().

Here is the call graph for this function:

## Member Data Documentation

RotationMatrix Pose3D::rotation

| rotation as a RotationMatrix Definition at line 19 of file Pose3D.h. Referenced by GT2005SensorDataProcessor::buildPSDPercept(), GT2005BallLocator::calculatePanningVelocityValue(), conc(), VLCImageProcessor::execute(), SlamImageProcessor::execute(), GT2005ImageProcessor::execute(), invert(), operator<<(), operator=(), operator==(), operator>>(), and Geometry::rayFromCamera().

Vector3<double> Pose3D::translation

| translation as a Vector3 Definition at line 22 of file Pose3D.h. Referenced by GT2005SensorDataProcessor::buildPSDPercept(), Kinematics::calcLegPosition(), Geometry::calculateBallInImage(), VLCBallSpecialist::calculateReliability(), GT2005BallSpecialist::calculateReliability(), conc(), LandmarksPercept::estimateOffsetAndValiditiesForGoal(), VLCImageProcessor::execute(), SlamImageProcessor::execute(), GT2005ImageProcessor::execute(), invert(), operator<<(), operator=(), operator==(), operator>>(), VLCImageProcessor::scan(), SlamImageProcessor::scan(), and GT2005ImageProcessor::scan().

The documentation for this class was generated from the following file:

- Tools/Math/Pose3D.h